japa.parser.ast.body

## Class FieldDeclaration

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BodyDeclaration
    - - japa.parser.ast.body.FieldDeclaration

    public final class FieldDeclaration
    extends BodyDeclaration

### Constructor Summary

Constructors
Constructor and Description
`FieldDeclaration()`
`FieldDeclaration(int beginLine, int beginColumn, int endLine, int endColumn, JavadocComment javaDoc, int modifiers, List<AnnotationExpr> annotations, Type type, List<VariableDeclarator> variables)`
`FieldDeclaration(int modifiers, Type type, List<VariableDeclarator> variables)`
`FieldDeclaration(int modifiers, Type type, VariableDeclarator variable)`
`FieldDeclaration(JavadocComment javaDoc, int modifiers, List<AnnotationExpr> annotations, Type type, List<VariableDeclarator> variables)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`int` `getModifiers()` Return the modifiers of this member declaration.
`Type` `getType()`
`List<VariableDeclarator>` `getVariables()`
`void` `setModifiers(int modifiers)`
`void` `setType(Type type)`
`void` `setVariables(List<VariableDeclarator> variables)`

### Methods inherited from class japa.parser.ast.body.BodyDeclaration

`getAnnotations, getJavaDoc, setAnnotations, setJavaDoc`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldDeclaration

    public FieldDeclaration()

#### FieldDeclaration

    public FieldDeclaration(int modifiers,
                    Type type,
                    VariableDeclarator variable)

#### FieldDeclaration

    public FieldDeclaration(int modifiers,
                    Type type,
                    List<VariableDeclarator> variables)

#### FieldDeclaration

    public FieldDeclaration(JavadocComment javaDoc,
                    int modifiers,
                    List<AnnotationExpr> annotations,
                    Type type,
                    List<VariableDeclarator> variables)

#### FieldDeclaration

    public FieldDeclaration(int beginLine,
                    int beginColumn,
                    int endLine,
                    int endColumn,
                    JavadocComment javaDoc,
                    int modifiers,
                    List<AnnotationExpr> annotations,
                    Type type,
                    List<VariableDeclarator> variables)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getModifiers

    public int getModifiers()

Return the modifiers of this member declaration.

Returns:
  modifiers
See Also:
  `ModifierSet`

#### getType

    public Type getType()

#### getVariables

    public List<VariableDeclarator> getVariables()

#### setModifiers

    public void setModifiers(int modifiers)

#### setType

    public void setType(Type type)

#### setVariables

    public void setVariables(List<VariableDeclarator> variables)